/***************************************************************************/
/* C header file for libSIMD Mathematics Library using SIMD code.          */
/* Copyright (C) 2000,2001 by Iain Nicholson <iain@delphinus.demon.co.uk>  */
/* Last modified : 14th February 2002                                      */
/*                                                                         */
/* This file is part of libSIMD.                                           */
/*                                                                         */
/*  libSIMD is free software; you can redistribute it and/or modify it     */
/*  under the terms of the GNU Lesser General Public License as published  */
/*  by the Free Software Foundation; either version 2 of the License, or   */
/*  (at your option) any later version.                                    */
/*                                                                         */
/*  libSIMD is distributed in the hope that it will be useful, but WITHOUT */
/*  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or  */
/*  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public   */
/*  License for more details.                                              */
/*                                                                         */
/*  You should have received a copy of the GNU Lesser General Public       */
/*  License along with libSIMD; if not, write to the Free Software         */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307   */
/*  USA                                                                    */
/***************************************************************************/

#define LIBSIMD_VECTORD


/* 2-vectors */
void simd_vecd2_assign(double, double, double *);
void simd_vecd2_copy(double *, double *);
void simd_vecd2_add(double *, double *, double *);
void simd_vecd2_sub(double *, double *, double *);
void simd_vecd2_scalar_product(double *, double *, double *);
/*void simd_vecd2_vecdtor_product(double *, double *, double *, double *, double *, double *);*/
void simd_vecd2_mag(double *, double *);
void simd_vecd2_mul(double *, double *, double *);
void simd_vecd2_div(double *, double *, double *);
void simd_vecd2_recip(double *, double *);
/*void simd_vecd2_neg();*/

/* 3-vectors */
void simd_vecd3_assign(double, double, double, double *);
void simd_vecd3_copy(double *, double *);
void simd_vecd3_add(double *, double *, double *);
void simd_vecd3_sub(double *, double *, double *);
void simd_vecd3_scalar_product(double *, double *, double *);
/*void simd_vecd3_vecdtor_product(double *, double *, double *, double *, double *, double *);*/
void simd_vecd3_mag(double *, double *);
void simd_vecd3_mul(double *, double *, double *);
void simd_vecd3_div(double *, double *, double *);
void simd_vecd3_recip(double *, double *);
/*void simd_vecd3_neg();*/

/* 4-vectors */
void simd_vecd4_assign(double, double, double, double, double *);
void simd_vecd4_copy(double *, double *);
void simd_vecd4_add(double *, double *, double *);
void simd_vecd4_sub(double *, double *, double *);
void simd_vecd4_scalar_product(double *, double *, double *);
/*void simd_vecd4_vecdtor_product(double *, double *, double *, double *, double *, double *);*/
void simd_vecd4_mag(double *, double *);
void simd_vecd4_mul(double *, double *, double *);
void simd_vecd4_div(double *, double *, double *);
void simd_vecd4_recip(double *, double *);
/*void simd_vecd4_neg();*/

